.nav {
  &-toggle {
    transition: 0.1s;
    background-color: $c-primary;
    border: none;
    box-shadow: 1px 0 0 0.75em $c-primary;
    position: fixed;
    top: 0.75em;
    right: 0.75em;
    height: 1em;
    z-index: 55;
    width: 1.5em;
    opacity: 1;
    &::before {
      content: "";
      width: 0;
      position: absolute;
      background-color: $c-fond;
      height: 2px;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      transition: 0.2s;
    }
    div {
      position: absolute;
      background-color: $c-fond;
      width: 100%;
      height: 3px;
      transition: 0.3s;
      transform: translate(0, -50%);
    }
    .bar1 {
      left: 0;
      top: 0;
    }
    .bar2 {
      left: 0;
      top: 100%;
    }
    &:hover {
      &::before {
        width: 100%;
      }
    }
  }
  &-content {
    width: 0;
    height: 0;
    display: flex;
    background-color: $c-primary;
    z-index: 50;
    top: 0;
    position: fixed;
    right: 0;
    overflow: hidden;
    flex-direction: column;
    justify-content: space-around;
    align-content: center;
    align-items: center;
    transition: 0.4s;
    a {
      color: $c-primary;
      //font-family:Helvetica, sans-serif;
      text-align: center;
      text-decoration: none;
      font-size: 2em;
      position: relative;
      transition: 0.3s;
      padding-left: 0.2em;
      padding-right: 0.2em;
      &::before {
        position: absolute;
        left: 50%;
        bottom: 0;
        content: "";
        background-color: $c-fond;
        height: 3px;
        width: 0;
        transition: 0.3s;
        z-index: -1;
        transform: translate(-50%, 0);
        border-radius: 0.5px;
      }
      &:hover,
      &:focus {
        color: $c-fond;
        text-decoration: none;
        &::before {
          width: 80%;
        }
      }
    }
  }
  &--open {
    .nav-toggle {
      &::before {
        opacity: 0;
      }
      div {
        left: 50%;
        top: 50%;
        transform-origin: 0% -50%;
        background-color: $c-fond;
      }
      .bar1 {
        transform: rotate(45deg) translate(-50%, -100%);
      }
      .bar2 {
        transform: rotate(-45deg) translate(-50%, -100%);
      }
    }
    .nav-content {
      width: 100%;
      height: 100vh;
      border-radius: 0;
      a {
        color: $c-fond;
      }
    }
  }
}
